<?php
define('NTOP', 1);
$title = 'Рекламодетелю';
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
require_once ('str/head.php');

echo'<div class="topik">Информация для заказчика рекламы</div><div class="stat">';
echo'Рекламу на проэкте <b>ZipVap.ru</b> можно заказать заполнив форму чуть ниже.<br>
Реклама располагается сверху!<br>
Стоит это всего <b>50</b> рублей за неделю, если с цветом <b>60</b>.<br>
Разместив ссылку у нас, ее будут видеть более 1000 человек в сутки.<br><br>';
if(isset($_POST['ok'])){
$url = filter($_POST['url']);
$name = filter($_POST['name']);
$color = filter($_POST['color']);
$kosh = filter($_POST['kosh']);
$error = '';
if (mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."rek` WHERE `url` = '".$url."' LIMIT 1")) != 0){
$error .= 'Этот адрес уже добавлен!<br/>';
}
if(mb_strlen($url) > 30){
$error .= 'Ошибка! Поле адрес не должно быть больше 30 символов!<br/>';
}
if(mb_strlen($kosh) > 14){
$error .= 'Ошибка! В Поле ваш кошелек! пример R404252736072<br/>';
}
if(mb_strlen($name) > 60){
$error .= 'Ошибка! Поле название не должно быть больше 30 символов!<br/>';
}
if(mb_strlen($color) > 30){
$error .= 'Ошибка! Поле цвет не должно быть больше 30 символов!<br/>';
}
if(empty($url) or empty($name) or empty($kosh)){
$error .= 'Все поля обязательны к заполнению!<br/>';
}
if(!empty($error)){
echo''.$error.'<a href="/reklama.php">Назад</a></div>';
} else {
mysql_query("INSERT INTO `".$prefix."rek` SET `url` = '".$url."', `status` = '0', `name` = '".$name."', `color` = '".$color."', `kosh` = '".$kosh."'");
echo 'Вы успешно подали заявку!Теперь отправьте определенную сумму на кошелек <b>R404252736072</b>,<br/>
После того как начислятся деньги ваша ссылка будет видна для всех.<br>Внимание: если в течение 24 часов вы не переведёте определённую сумму то заказ удаляется<br/>';
echo '<a href="/reklama.php">Назад</a></div>';
}} else {
echo'<form action="reklama.php" method="post">
Адрес(без http://):<br>
<input name="url" type="text" value="'.$_POST['url'].'" maxlength="30" ><br>
Название: (30 max.)<br>
<input name="name" type="text" value="'.$_POST['name'].'" maxlength="30" ><br>
Цвет(типа green,red, если не надо оставьте пустым.):<br>
<input name="color" type="text" value="'.$_POST['color'].'" maxlength="30" ><br>
Ваш кошелек<br>
<input name="kosh" type="text" value="'.$_POST['kosh'].'" maxlength="14" ><br>
<input name="ok" type="submit" value="Добавить" ></form></div>';
echo '<div><font color="red">Уважаемые партнёры если увас нет денег то не заказывайте ложные заказы! После заказа будет видно R кашалёк на каторую нужно будет перевести определённую сумму</font></div>';
}
require_once ('str/foot.php');
?>